<!--
 * @Author: jixiang
 * @Date: 2021-07-07 15:19:05
 * @Description: 自述文件
 * @FilePath: /vite-project/README.md
 * One World One Drefeel(56580223@qq.com)
-->

### 配置

vue-i18n@next vue-router@4 vuex@next --save ant-design-vue@next --save axios --save nprogress --save less less-loader --save-dev

### 代码格式验证工具

@typescript-eslint/eslint-plugin -S @typescript-eslint/parser -S eslint -S eslint-config-prettier@7.2.0 -S //这个一定要是 7.2.0 版本，其他版本配置会报错 eslint-plugin-prettier -S eslint-plugin-vue -S prettier -S pretty-quick -S vue-eslint-parser -S

#### 代码基础架构说明

```
|-- 根目录
    |-- dist 项目 build 之后的文件夹
    |-- public 项目静态资源，适合存放第三方压缩好的资源
    |-- src 主要的开发目录
    | |-- @type 项目共用的 type
    | |-- App.vue 页面渲染根节点
    | |-- permission.ts 权限
    | |-- main.ts 入口文件
    | |-- shims-vue.d.ts vue 文件类型的 type
    | |-- api http 请求相关
    | | |-- apiList.ts api 接口列表
    | | |-- axios.ts 业务请求封装
    | | |-- user.ts api 请求模块
    | |-- assets 存放静态资源，这个文件夹下的文件会走压缩流程
    | |-- components
    | | |-- index.ts 自动注册脚本
    | | |-- global 自动注册的全局组件
    | | |-- ...其他非全局注册的模块
    | |-- config 全局静态配置，不可更改项
    | |-- layout 页面页面骨架
    | |-- plugins 存放第三方插件
    | | |-- index.ts 插件挂载入口
    | |-- router 路由
    | | |-- index.ts 路由入口
    | |-- store vuex
    | | |-- modules 多个模块
    | | |-- index.ts 自动装载模块
    | | |-- app app 模块
    | |-- styles 全局样式，一句 ui 库主题样式
    | | |-- \_variables.less
    | | |-- test.less
    | |-- utils 常用函数以及其他有用工具
    | | |-- common.ts
    | |-- views 页面级组件
    | | |-- ..... 正常页面
    | | |-- login 登录页面
    |-- .editorconfig vscode 编辑器 设置
    |-- .env.development 开发环境配置
    |-- .env.preview 测试环境配置
    |-- .env.production 生产环境配置
    |-- .eslintignore eslint 要忽略的文件夹
    |-- .eslintrc.js eslint 规则配置
    |-- .gitattributes github 语言选项设置
    |-- .gitignore git 忽略的文件
    |-- .prettierrc.js 格式化插件配置
    |-- README.md 项目说明
    |-- babel.config.js babel 设置
    |-- global.d.ts 全局的 type
    |-- package.json  配置
    |-- tsconfig.json typescript 配置
    |-- typedoc.json 文档配置文件
    |-- vue.config.ts vue-cli 脚手架配置文件
```
