/*
 * @Author: jixiang
 * @Date: 2021-09-11 14:07:01
 * @Description:
 * @FilePath: /suqian_account_new/src/api/manageBookAlert.ts
 * One World One Drefeel(56580223@qq.com)
 */
import { HttpResponse } from '@/@type';
import Axios from './axios';

const alertApi = {
  bookType: '/fighter-library/book/getBookTypeDropDown',
  upload: '/fighter-library/book/uploadFile',
  add: '/fighter-library/book/addBook',
  details: '/fighter-library/book/viewBookDetails', //编辑回填
  update: '/fighter-library/book/updateBook',
  auditBook: '/fighter-library/book/auditBook',
};

interface book {
  author?: string;
  brief?: string;
  contentSource?: number;
  cover?: string;
  isbn?: string;
  linkAddress?: string;
  name?: string;
  releaseNow?: boolean;
  type?: number;
  uploadFile?: string;
}

interface bookId {
  bookId: number;
}

class alertBook {
  static async getType(): Promise<HttpResponse> {
    return Axios(alertApi.bookType, {
      method: 'get',
    });
  }
  static async uploadFile(data): Promise<HttpResponse> {
    return Axios(alertApi.upload, {
      method: 'put',
      data: data,
    });
  }
  static async addBook(params: book): Promise<HttpResponse> {
    return Axios(alertApi.add, {
      method: 'post',
      data: params,
    });
  }
  static async updateBook(params: book): Promise<HttpResponse> {
    return Axios(alertApi.update, {
      method: 'post',
      data: params,
    });
  }
  static async getDetails(params: bookId): Promise<HttpResponse> {
    return Axios(alertApi.details, {
      method: 'post',
      params: params,
    });
  }
  static async auditBook(params): Promise<HttpResponse> {
    return Axios(alertApi.auditBook, {
      method: 'post',
      data: params,
    });
  }
}

export default alertBook;
