/*
 * @Author: jixiang
 * @Date: 2021-07-07 15:47:48
 * @Description: 路由
 * @FilePath: /suqian_account_new/src/router/index.ts
 * One World One Drefeel(56580223@qq.com)
 */
import { createRouter, createWebHashHistory, RouteRecordRaw } from 'vue-router';
const routes: Array<RouteRecordRaw> = [
  {
    path: '/',
    name: 'Home',
    meta: {
      title: '首页',
      keepAlive: true,
    },
    component: () => import('@/views/home/index.vue'),
  },
  {
    path: '/login',
    name: 'Login',
    meta: {
      title: '登录',
      keepAlive: true,
      fullScreen: true, //是否全局
    },
    component: () => import('@/views/login/index.vue'),
  },
  {
    path: '/toCasLogin',
    name: '登录页',
    component: () => import(/* webpackChunkName: "page" */ '@/views/login/toCasLogin.vue'),
    meta: {
      keepAlive: true,
      isTab: false,
      isAuth: false,
    },
  },
  {
    path: '/casLogin',
    name: 'cas登录处理',
    component: () => import(/* webpackChunkName: "page" */ '@/views/login/casLogin.vue'),
    meta: {
      title: '登录',
      keepAlive: true,
      fullScreen: false, //是否全局
    },
  },
  {
    path: '/bookManage',
    name: 'bookManage',
    meta: {
      title: '图书管理',
      keepAlive: true,
    },
    component: () => import('@/views/bookManage/index.vue'),
  },
];
const router = createRouter({
  history: createWebHashHistory(),
  routes,
});
export default router;
